Groovy 1.7.0

## org.codehaus.groovy.util
Class PhantomRef

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.PhantomReference
              org.codehaus.groovy.util.PhantomRef

All Implemented Interfaces:
  PhantomReference

    class PhantomRef
    extends PhantomReference

Constructor Summary
`PhantomRef(TT referent, V handler, ReferenceQueue q)`

Method Summary
`V` | `getHandler()`

Methods inherited from class PhantomReference
get, clear, enqueue, isEnqueued, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Reference
get, clear, enqueue, isEnqueued, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PhantomRef

    public PhantomRef(TT referent, V handler, ReferenceQueue q)

Method Detail

### getHandler

    public V getHandler()

Copyright © 2003-2009 The Codehaus. All rights reserved.